import { IResolvable, IResolveContext } from "aws-cdk-lib";
import * as iam from "aws-cdk-lib/aws-iam";
import * as secretsmanager from "aws-cdk-lib/aws-secretsmanager";
export declare class GithubActionsSecret implements IResolvable {
    static fromSecretsManager(secret: secretsmanager.ISecret, field?: string): GithubActionsSecret;
    readonly creationStack: string[];
    private readonly secret;
    private readonly field?;
    private constructor();
    resolve(_: IResolveContext): any;
    /**
     * @internal
     */
    _grantRead(grantee: iam.IGrantable): void;
}
